Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.xerces.impl.xs
Class ElementPSVImpl

    java.lang.Object
      |
      +--org.apache.xerces.impl.xs.ElementPSVImpl

All Implemented Interfaces:
  org.apache.xerces.xni.psvi.ElementPSVI, org.apache.xerces.xni.psvi.ItemPSVI

public class ElementPSVImpl
extends java.lang.Object
implements org.apache.xerces.xni.psvi.ElementPSVI

Element PSV infoset augmentations implementation. The following information will be available at the startElement call: name, namespace, type, notation, validation context The following information will be available at the endElement call: nil, specified, normalized value, member type, validity, error codes, default

Version:
  $Id: ElementPSVImpl.java,v 1.20 2003/01/20 13:55:56 elena Exp $
Author:
  Elena Litani IBM

Field Summary
`protected XSElementDeclaration` | `fDeclaration` element declaration
`protected java.lang.String[]` | `fErrorCodes` error codes
`protected XSSimpleTypeDefinition` | `fMemberType` member type definition against which element was validated
`protected boolean` | `fNil` true if clause 3.2 of Element Locally Valid (Element) (3.3.4) is satisfied, otherwise false
`protected java.lang.String` | `fNormalizedValue` schema normalized value property
`protected XSNotationDeclaration` | `fNotation` http://www.w3.org/TR/xmlschema-1/#e-notation
`protected XSModel` | `fSchemaInformation` the schema information property
`protected boolean` | `fSpecified` true if the element value was provided by the schema; false otherwise.
`protected XSTypeDefinition` | `fTypeDecl` type of element, could be xsi:type
`protected short` | `fValidationAttempted` validation attempted: none, partial, full
`protected java.lang.String` | `fValidationContext` validation context: could be QName or XPath expression
`protected short` | `fValidity` validity: valid, invalid, unknown

Fields inherited from interface org.apache.xerces.xni.psvi.ItemPSVI
`VALIDATION_FULL, VALIDATION_NONE, VALIDATION_PARTIAL, VALIDITY_INVALID, VALIDITY_NOTKNOWN, VALIDITY_VALID`

Constructor Summary
`ElementPSVImpl()`

Method Summary
`XSElementDeclaration` | `getElementDeclaration()` An item isomorphic to the element declaration used to validate this element.
`StringList` | `getErrorCodes()` A list of error codes generated from validation attempts.
`boolean` | `getIsNil()` [nil]
`boolean` | `getIsSchemaSpecified()` [schema specified]
`XSSimpleTypeDefinition` | `getMemberTypeDefinition()` If and only if that type definition is a simple type definition with {variety} union, or a complex type definition whose {content type} is a simple thype definition with {variety} union, then an item isomorphic to that member of the union's {member type definitions} which actually validated the element item's normalized value.
`XSNotationDeclaration` | `getNotation()` [notation]
`java.lang.String` | `getSchemaDefault()` [schema default]
`XSModel` | `getSchemaInformation()` [schema information]
`java.lang.String` | `getSchemaNormalizedValue()` [schema normalized value]
`XSTypeDefinition` | `getTypeDefinition()` An item isomorphic to the type definition used to validate this element.
`short` | `getValidationAttempted()` Determines the extent to which the document has been validated
`java.lang.String` | `getValidationContext()` [validation context] // REVISIT: what the return type should be? Should we return QName/XPath/ or element info item..?
`short` | `getValidity()` Determine the validity of the node with respect to the validation being attempted
`void` | `reset()` Reset() should be called in validator startElement(..) method.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### fDeclaration

    protected XSElementDeclaration fDeclaration

  element declaration

### fTypeDecl

    protected XSTypeDefinition fTypeDecl

  type of element, could be xsi:type

### fNil

    protected boolean fNil

  true if clause 3.2 of Element Locally Valid (Element) (3.3.4) is satisfied, otherwise false

### fSpecified

    protected boolean fSpecified

  true if the element value was provided by the schema; false otherwise.

### fNormalizedValue

    protected java.lang.String fNormalizedValue

  schema normalized value property

### fNotation

    protected XSNotationDeclaration fNotation

  http://www.w3.org/TR/xmlschema-1/#e-notation

### fMemberType

    protected XSSimpleTypeDefinition fMemberType

  member type definition against which element was validated

### fValidationAttempted

    protected short fValidationAttempted

  validation attempted: none, partial, full

### fValidity

    protected short fValidity

  validity: valid, invalid, unknown

### fErrorCodes

    protected java.lang.String[] fErrorCodes

  error codes

### fValidationContext

    protected java.lang.String fValidationContext

  validation context: could be QName or XPath expression

### fSchemaInformation

    protected XSModel fSchemaInformation

  the schema information property

Constructor Detail

### ElementPSVImpl

    public ElementPSVImpl()

Method Detail

### getSchemaDefault

    public java.lang.String getSchemaDefault()

  [schema default]
  Specified by:
    `getSchemaDefault` in interface `org.apache.xerces.xni.psvi.ItemPSVI`
  Returns:
    The canonical lexical representation of the declaration's {value constraint} value.
  See Also:

    ### getSchemaNormalizedValue

        public java.lang.String getSchemaNormalizedValue()

      [schema normalized value]
      Specified by:
        `getSchemaNormalizedValue` in interface `org.apache.xerces.xni.psvi.ItemPSVI`
      Returns:
        the normalized value of this item after validation
      See Also:

        ### getIsSchemaSpecified

            public boolean getIsSchemaSpecified()

          [schema specified]
          Specified by:
            `getIsSchemaSpecified` in interface `org.apache.xerces.xni.psvi.ItemPSVI`
          Returns:
            true - value was specified in schema, false - value comes from the infoset
          See Also:
            XML Schema Part 1: Structures [schema specified]

        ### getValidationAttempted

            public short getValidationAttempted()

          Determines the extent to which the document has been validated
          Specified by:
            `getValidationAttempted` in interface `org.apache.xerces.xni.psvi.ItemPSVI`
          Returns:
            return the [validation attempted] property. The possible values are NO_VALIDATION, PARTIAL_VALIDATION and FULL_VALIDATION

        ### getValidity

            public short getValidity()

          Determine the validity of the node with respect to the validation being attempted
          Specified by:
            `getValidity` in interface `org.apache.xerces.xni.psvi.ItemPSVI`
          Returns:
            return the [validity] property. Possible values are: UNKNOWN_VALIDITY, INVALID_VALIDITY, VALID_VALIDITY

        ### getErrorCodes

            public StringList getErrorCodes()

          A list of error codes generated from validation attempts. Need to find all the possible subclause reports that need reporting
          Specified by:
            `getErrorCodes` in interface `org.apache.xerces.xni.psvi.ItemPSVI`
          Returns:
            Array of error codes

        ### getValidationContext

            public java.lang.String getValidationContext()

          Description copied from interface: `org.apache.xerces.xni.psvi.ItemPSVI`
          [validation context] // REVISIT: what the return type should be? Should we return QName/XPath/ or element info item..?
          Specified by:
            `getValidationContext` in interface `org.apache.xerces.xni.psvi.ItemPSVI`
          Following copied from interface: `org.apache.xerces.xni.psvi.ItemPSVI`
          Returns:
            The nearest ancestor element information item with a [schema information] property (or this element item itself if it has such a property)
          See Also:
            XML Schema Part 1: Structures [validation context]

        ### getIsNil

            public boolean getIsNil()

          [nil]
          Returns:
            true if clause 3.2 of Element Locally Valid (Element) (3.3.4) above is satisfied, otherwise false
          See Also:

            ### getNotation

                public XSNotationDeclaration getNotation()

              [notation]
              Specified by:
                `getNotation` in interface `org.apache.xerces.xni.psvi.ElementPSVI`
              Returns:
                The notation declaration.
              See Also:

                ### getTypeDefinition

                    public XSTypeDefinition getTypeDefinition()

                  An item isomorphic to the type definition used to validate this element.
                  Specified by:
                    `getTypeDefinition` in interface `org.apache.xerces.xni.psvi.ItemPSVI`
                  Returns:
                    a type declaration

                ### getMemberTypeDefinition

                    public XSSimpleTypeDefinition getMemberTypeDefinition()

                  If and only if that type definition is a simple type definition with {variety} union, or a complex type definition whose {content type} is a simple thype definition with {variety} union, then an item isomorphic to that member of the union's {member type definitions} which actually validated the element item's normalized value.
                  Specified by:
                    `getMemberTypeDefinition` in interface `org.apache.xerces.xni.psvi.ItemPSVI`
                  Returns:
                    a simple type declaration

                ### getElementDeclaration

                    public XSElementDeclaration getElementDeclaration()

                  An item isomorphic to the element declaration used to validate this element.
                  Specified by:
                    `getElementDeclaration` in interface `org.apache.xerces.xni.psvi.ElementPSVI`
                  Returns:
                    an element declaration

                ### getSchemaInformation

                    public XSModel getSchemaInformation()

                  [schema information]
                  Specified by:
                    `getSchemaInformation` in interface `org.apache.xerces.xni.psvi.ElementPSVI`
                  Returns:
                    The schema information property if it's the validation root, null otherwise.
                  See Also:
                    XML Schema Part 1: Structures [schema information]

                ### reset

                    public void reset()

                  Reset() should be called in validator startElement(..) method.

                Overview | Package | Class | Tree | Deprecated | Index | Help
                PREV CLASS NEXT CLASS | FRAMES NO FRAMES
                SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

                Copyright © 1999-2003 Apache XML Project. All Rights Reserved.